export default {
	namespaced: true,
	state: {
		banner: [],
		app:{},
		domain:uni.getStorageSync("domain")?uni.getStorageSync("domain"):'',
		seasonList:uni.getStorageSync("seasonList")?uni.getStorageSync("seasonList"):[],
		cityid:uni.getStorageSync("cityid")?uni.getStorageSync("cityid"):'101280104',
		personalizedAd:uni.getStorageSync("personalizedAd")?uni.getStorageSync("personalizedAd"):1,
	},
	mutations: {
		setBanner(state, banner) {
			state.banner = banner;
		},
		setApp(state, app) {
			state.app = app;
		},
		setDomain(state, domain) {
			state.domain = domain;
			uni.setStorageSync("domain",domain)
		},
		setSeasonList(state, seasonList) {
			state.seasonList = seasonList;
			uni.setStorageSync("seasonList",seasonList)
		},
		setCityId(state, cityid) {
			state.cityid = cityid;
			uni.setStorageSync("cityid",cityid)
		},
		setPersonalizedAd(state, personalizedAd) {
			console.log(personalizedAd)
			state.personalizedAd = personalizedAd;
			uni.setStorageSync("personalizedAd",personalizedAd)
		},
	},
	actions: {
		
	},
	getters: {
	}
};